立即注册 登录
晓东CAD家园-论坛 返回首页

Lisphk的个人空间 http://bbs.xdcad.net/?604462 [收藏] [复制] [分享] [RSS]

留言板

facelist doodle涂鸦板

您需要登录后才可以留言 登录 | 立即注册


王梦菁 2022-9-15 11:54
请看:https://cut.tn/22522
肺炎各地的严重程度不断地升级,关注海外真实报道......

翻红墙,看禁闻,请打开网址:https://v.ht/77uu





















[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/25.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/26.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/27.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/28.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/29.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/30.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/31.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/32.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/33.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/34.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/35.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/36.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/37.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/38.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/39.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/40.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/41.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/42.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/43.jpg[/img]
[img]https://gitlab.com/shenzhouzhengdao/w/raw/master/t/44.jpg[/img]
zhong2013 2018-11-22 08:47
可以用DBX打印到文件?我怎么实现不了,这儿有个参考代码,给看一下。; =================================================================================================================================
(defun c:tt( / file dbx %1)
  (setq file (findfile "C:\\temp\\test.dwg"))
  (setq dbx (vla-getInterfaceObject(vlax-get-acad-object) (strcat "ObjectDBX.AxDbDocument." (substr (getvar "ACADVER") 1 2))))
  (vla-open dbx file)
  (vlax-for %1 (vla-get-layouts dbx)
    (if (= (vla-get-name %1) "Layout1")
      (progn       
        (plt
          %1
          (vla-get-plot dbx) ; <<<<<<< ????????
          )
        )
      )
    )
  (vlax-release-object dbx)
  )
; =================================================================================================================================
(defun plt (layObj pltObj / orig)
  (setvar 'backgroundplot 1)
  (vla-RefreshPlotDeviceInfo layObj)
  (if (/= "DWG To PDF.pc3" (vla-get-ConfigName layObj)) ; current printer
    (vla-put-ConfigName layObj "DWG To PDF.pc3")) ; set PDF printer
  (if (/= "ISO_A4_(297.00_x_210.00_MM)" (vla-get-CanonicalMediaName layObj)) ; paper size
    (vla-put-CanonicalMediaName layObj "ISO_A4_(297.00_x_210.00_MM)")) ; set A4 paper
  (vla-put-plottype layObj acWindow)
  (vla-Put-StyleSheet layObj "monochrome.ctb")
  (vla-Put-PaperUnits layObj 0) ; 0 milimetrs
  (vla-Put-CenterPlot layObj 0) ; 0 No 1 Yes
  (vla-put-PlotWithLineweights layObj 1)
  (vla-put-ScaleLineweights layObj 1)
  ;--
  (setq orig (vlax-make-safearray vlax-vbDouble '(0 . 1)))
  (vlax-safearray-fill orig (list 20 33))
  (vla-put-PlotOrigin layObj orig)
  ;--
  (vlax-invoke layObj 'setwindowtoplot '(0.0 0.0) '(297.0 210.0))
  (vla-put-plotrotation layObj ac0degrees) ; ac0degrees[Landscape] ac90degrees[portrait]
  (vla-put-paperunits layObj acMillimeters)
  (vla-put-StandardScale layObj acScaleToFit)
  (if (= :vlax-true (vla-PlotToFile pltObj "c:\\temp\\Test No 1.pdf" "DWG To PDF.pc3"))
    (alert "OK")
    (alert "Not OK"))
  )
; =================================================================================================================================

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-6-16 17:53 , Processed in 0.447341 second(s), 16 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

返回顶部